/*
 * Copyright (c) 2021, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 */

package org.wso2.cloud.secrets.model;

/**
 * This Java Class represents an instance representing the input details about an Azure Key Vault Secret.
 *
 * @since 1.0.0
 */
public class InputSecretIdentifier {

    private String identifier;
    private String version;

    public String getIdentifier() {

        return identifier;
    }

    public void setIdentifier(String identifier) {

        this.identifier = identifier;
    }

    public String getVersion() {

        return version;
    }

    public void setVersion(String version) {

        this.version = version;
    }
}
